NNG_HTTP_HANDLER_GET_DATA(3http)

NAME
nng_http_handler_get_data - return extra data for HTTP handler

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    void *nng_http_handler_get_data(nng_http_handler *handler);

DESCRIPTION

The nng_http_handler_get_data() function returns the data previously stored on handler using the function nng_http_handler_set_data().

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_http_handler_alloc(3http), nng_http_server_set_data(3http), nng_http_server_add_handler(3http), nng(7)